This URL updates a cloud account based on the cloud account Id. The parameters that can be updated for a cloud account are specified in the request payload.
Resource URL
PUT /controller/<controller Id>/account/<cloud account Id>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Controller ID. You can use the | number | Yes |
| ID of the cloud account which has to be updated. The ID is allocated by the Manager for the cloud account associated with the Controller. | number | Yes |
Payload Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Name of cloud account | string | Yes |
| Description of the cloud account | string | Yes |
| Type of cloud account. | string | Yes |
| Type of authentication. The values can be If you are using If you are using | string | Yes |
| Not applicable | string | Not applicable |
| Authentication details | object | No |
Details of authenticator:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Tenant ID | string | No |
| User ID | string | No |
| Private key used for authentication | string | No |
| Pass phrase used for authentication | string | No |
| Fingerprint used for authentication | string | No |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the cloud account update is successful. Value is set to Value is set to | string |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
Example
Request
PUT https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/7/account/2
Payload
{
"name":"account2",
"description":"sample description",
"cloudType":{"name":"aws"},
"authType":{"code":"key_based"},
"valid":true,
"authenticator":{
"tenantId":"tenant1",
"userId":"user1",
"privateKey":"pkd",
"passPhrase":"pps",
"fingerPrint":"ddddfd:56:65:96:22:d4:c7:5c:17:f3:65:7d:b5:43:91:3a"
}
}
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": null
}